server:
  port: 8000
  servlet:
    context-path: /bailianAi
    encoding:
      enabled: true
      force: true
      charset: utf-8

# 数据源配置
spring:
  profiles:
    active: test
  application:
    name: bailian-ai #当前服务的名称



#mybatis-plus配置
mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml  #告诉mybatis数据库映射文件mapper.xml的位置
  #  configuration:
  #    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl  #显示sql日志
  global-config:
    db-config:
      id-type: ASSIGN_ID
      logic-delete-field: show_delete # 全局逻辑删除的实体字段名(since 3.3.0,配置后可以忽略不配置步骤2)
      logic-delete-value: 1 # 逻辑已删除值(默认为 1)
      logic-not-delete-value: 0 # 逻辑未删除值(默认为 0)



#分页配置
pagehelper:
  helper-dialect: mysql
  reasonable: true
  support-methods-arguments: true
  params: count=countSql
